--- old/usr/src/man/man1/audioconvert.1	Sat Feb  8 10:54:35 2020
+++ new/usr/src/man/man1/audioconvert.1	Sat Feb  8 10:54:35 2020
@@ -3,11 +3,10 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH AUDIOCONVERT 1 "Feb 16, 2001"
+.TH AUDIOCONVERT 1 "Feb 8, 2020"
 .SH NAME
 audioconvert \- convert audio file formats
 .SH SYNOPSIS
-.LP
 .nf
 \fBaudioconvert\fR [\fB-pF\fR] [\fB-f\fR \fIoutfmt\fR] [\fB-o\fR \fIoutfile\fR]
      [ [\fB-i\fR \fIinfmt\fR] [\fIfile\fR]...] ...
@@ -14,12 +13,10 @@
 .fi
 
 .SH DESCRIPTION
-.sp
-.LP
 \fBaudioconvert\fR converts audio data between a set of supported audio
 encodings and file formats. It can be used to compress and decompress audio
 data, to add audio file headers to raw audio data files, and to convert between
-standard data encodings, such as -law and linear PCM.
+standard data encodings, such as u-law and linear PCM.
 .sp
 .LP
 If no filenames are present, \fBaudioconvert\fR reads the data from the
@@ -50,8 +47,6 @@
 The \fBfile\fR(1) command decodes and prints the audio data format of Sun audio
 files.
 .SH OPTIONS
-.sp
-.LP
 The following options are supported:
 .sp
 .ne 2
@@ -141,8 +136,6 @@
 .RE
 
 .SS "Format Specification"
-.sp
-.LP
 The syntax for the input and output format specification is:
 .sp
 .LP
@@ -190,7 +183,7 @@
 \fB\fBulaw\fR\fR
 .ad
 .RS 13n
-\fBCCITT G.711\fR -law encoding. This is an 8-bit format primarily used for
+\fBCCITT G.711\fR u-law encoding. This is an 8-bit format primarily used for
 telephone quality speech.
 .RE
 
@@ -240,7 +233,7 @@
 .RS 13n
 \fBCCITT G.721\fR compression format. This encoding uses Adaptive Delta Pulse
 Code Modulation (ADPCM) with 4-bit precision. It is primarily used for
-compressing -law voice data (achieving a 2:1 compression ratio).
+compressing u-law voice data (achieving a 2:1 compression ratio).
 .RE
 
 .sp
@@ -251,7 +244,7 @@
 .RS 13n
 \fBCCITT G.723\fR compression format. This encoding uses Adaptive Delta Pulse
 Code Modulation (ADPCM) with 3-bit precision. It is primarily used for
-compressing -law voice data (achieving an 8:3 compression ratio). The audio
+compressing u-law voice data (achieving an 8:3 compression ratio). The audio
 quality is similar to \fBG.721,\fR but may result in lower quality when used
 for non-speech data.
 .RE
@@ -327,13 +320,10 @@
 .RE
 
 .SH USAGE
-.sp
-.LP
 See \fBlargefile\fR(5) for the description of the behavior of
-\fBaudioconvert\fR when encountering files greater than or equal to 2 Gbyte (
-2^31 bytes).
+\fBaudioconvert\fR when encountering files greater than or equal to 2 Gbyte
+(2^31 bytes).
 .SH EXAMPLES
-.LP
 \fBExample 1 \fRRecording and compressing voice data before storing it
 .sp
 .LP
@@ -377,32 +367,10 @@
 .in -2
 .sp
 
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Architecture	SPARC, x86
-_
-Interface Stability	Evolving
-.TE
-
 .SH SEE ALSO
-.sp
-.LP
-\fBaudioplay\fR(1), \fBaudiorecord\fR(1), \fBfile\fR(1), \fBattributes\fR(5),
+\fBaudioplay\fR(1), \fBaudiorecord\fR(1), \fBfile\fR(1),
 \fBlargefile\fR(5)
 .SH NOTES
-.sp
-.LP
 The algorithm used for converting multi-channel data to mono is implemented by
 simply summing the channels together. If the input data is perfectly in phase
 (as would be the case if a mono file is converted to stereo and back to mono),
--- old/usr/src/man/man1/audioctl.1	Sat Feb  8 10:54:35 2020
+++ new/usr/src/man/man1/audioctl.1	Sat Feb  8 10:54:35 2020
@@ -11,8 +11,9 @@
 .\"
 .\"
 .\" Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
+.\" Copyright 2020 Peter Tribble.
 .\"
-.TH AUDIOCTL 1 "Mar 18, 2011"
+.TH AUDIOCTL 1 "Feb 8, 2020"
 .SH NAME
 audioctl - audio device control command line interface
 .SH SYNOPSIS
@@ -27,24 +28,29 @@
 
 .LP
 .nf
-\fBaudioctl\fR \fBshow-control\fR [\fB-v\fR] [\fB-d\fR \fIdevice\fB] [\fIcontrol\fR ...]
+\fBaudioctl\fR \fBshow-control\fR [\fB-v\fR] [\fB-d\fR \fIdevice\fR] [\fIcontrol\fR ...]
 .fi
 
 .LP
 .nf
-\fBaudioctl\fR \fBset-control\fR [\fB-v\fR] [\fB-d\fR \fIdevice\fB] \fIcontrol\fR \fIvalue\fR
+\fBaudioctl\fR \fBset-control\fR [\fB-v\fR] [\fB-d\fR \fIdevice\fR] \fIcontrol\fR \fIvalue\fR
 .fi
 
 .LP
 .nf
-\fBaudioctl\fR \fBsave-controls\fR [\fB-d\fR \fIdevice\fB] [\fB-f\fR] \fIfile\fR
+\fBaudioctl\fR \fBsave-controls\fR [\fB-d\fR \fIdevice\fR] [\fB-f\fR] \fIfile\fR
 .fi
 
 .LP
 .nf
-\fBaudioctl\fR \fBload-controls\fR [\fB-d\fR \fIdevice\fB] \fIfile\fR
+\fBaudioctl\fR \fBload-controls\fR [\fB-d\fR \fIdevice\fR] \fIfile\fR
 .fi
 
+.LP
+.nf
+\fBaudioctl\fR \fBhelp\fR
+.fi
+
 .SH DESCRIPTION
 The \fBaudioctl\fP command is used to control various settings and features
 of audio devices, including mixer settings such as playback volume and
@@ -64,7 +70,7 @@
 .sp
 .ne 2
 .na
-\fBshow-device\fR [\fB-v\fR] [\fB-d\fR \fIdevice\fR] [\fBcontrol\fR ... ]
+\fBshow-device\fR [\fB-v\fR] [\fB-d\fR \fIdevice\fR]
 .ad
 .sp .6
 .RS 4n
@@ -76,7 +82,7 @@
 .sp
 .ne 2
 .na
-\fBshow-control\fR [\fB-v\fR] [\fB-d\fR \fIdevice\fR]
+\fBshow-control\fR [\fB-v\fR] [\fB-d\fR \fIdevice\fR] [\fBcontrol\fR ... ]
 .ad
 .sp .6
 .RS 4n
@@ -89,7 +95,7 @@
 .sp
 .ne 2
 .na
-\fBset-control\fR [\fB-v\fR] [\fB-d\fR \fIdevice\fB] \fIcontrol\fR \fIvalue\fR
+\fBset-control\fR [\fB-v\fR] [\fB-d\fR \fIdevice\fR] \fIcontrol\fR \fIvalue\fR
 .ad
 .sp .6
 .RS 4n
@@ -101,7 +107,7 @@
 .sp
 .ne 2
 .na
-\fBsave-controls\fR [\fB-f\fR] [\fB-d\fR \fIdevice\fB] \fIfile\fR
+\fBsave-controls\fR [\fB-f\fR] [\fB-d\fR \fIdevice\fR] \fIfile\fR
 .ad
 .sp .6
 .RS 4n
@@ -113,7 +119,7 @@
 .sp
 .ne 2
 .na
-\fBload-controls\fR [\fB-d\fR \fIdevice\fB] \fIfile\fR
+\fBload-controls\fR [\fB-d\fR \fIdevice\fR] \fIfile\fR
 .ad
 .sp .6
 .RS 4n
@@ -122,6 +128,16 @@
 specified).
 .RE
 
+.sp
+.ne 2
+.na
+\fBhelp\fR
+.ad
+.sp .6
+.RS 4n
+Display the usage message.
+.RE
+
 .SH ENVIRONMENT VARIABLES
 .ne 2
 .na
@@ -133,21 +149,7 @@
 \fB/dev/audio\fR is used.
 .RE
 
-
 .SH ATTRIBUTES
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	See below.
-.TE
-.LP
 The \fBaudioctl\fR command and its subcommands are Committed.  The
 names of controls, their values, and device names are Uncommitted.
 The display output is intended for human consumption, and is Not An
@@ -156,4 +158,4 @@
 Private.
 .SH SEE ALSO
 \fBaudioplay\fR(1), \fBaudiorecord\fR(1), \fBdsp\fR(7I),
-\fBmixer\fR(7I), \fBattributes\fR(5)
+\fBmixer\fR(7I)
--- old/usr/src/man/man1/audioplay.1	Sat Feb  8 10:54:35 2020
+++ new/usr/src/man/man1/audioplay.1	Sat Feb  8 10:54:35 2020
@@ -3,17 +3,15 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License"). You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE. If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH AUDIOPLAY 1 "May 13, 2017"
+.TH AUDIOPLAY 1 "Feb 8, 2020"
 .SH NAME
 audioplay \- play audio files
 .SH SYNOPSIS
-.LP
 .nf
 \fBaudioplay\fR [\fB-iV\fR] [\fB-v\fR \fIvol\fR] [\fB-d\fR \fIdev\fR] [\fIfile\fR]...
 .fi
 
 .SH DESCRIPTION
-.LP
 The \fBaudioplay\fR utility copies the named audio files (or the standard input
 if no filenames are present) to the audio device. If no input file is specified
 and standard input is a tty, the program exits with an error message.
@@ -31,7 +29,6 @@
 audio device that only supports 8000 Hz. If the \fB-V\fR option is present,
 such deviations are flagged with warning messages.
 .SH OPTIONS
-.LP
 The following options are supported:
 .sp
 .ne 2
@@ -84,7 +81,7 @@
 .sp
 .ne 2
 .na
-\fB\fB\(mi\e?\fR\fR
+\fB\fB-?\fR\fR
 .ad
 .RS 11n
 \fIHelp\fR: Prints a command line usage message.
@@ -105,9 +102,8 @@
 .RE
 
 .SH USAGE
-.LP
 See \fBlargefile\fR(5) for the description of the behavior of \fBaudioplay\fR
-when encountering files greater than or equal to 2 Gbyte ( 2^31 bytes).
+when encountering files greater than or equal to 2 Gbyte (2^31 bytes).
 .SH ENVIRONMENT VARIABLES
 .ne 2
 .na
@@ -130,29 +126,10 @@
 set, only the current directory is searched.
 .RE
 
-.SH ATTRIBUTES
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Architecture	SPARC, x86
-_
-Interface Stability	Committed
-.TE
-
 .SH SEE ALSO
-.LP
 \fBaudioconvert\fR(1), \fBaudiorecord\fR(1),
-\fBattributes\fR(5), \fBlargefile\fR(5), \fBaudio\fR(7I)
+\fBlargefile\fR(5), \fBaudio\fR(7I)
 .SH BUGS
-.LP
 \fBaudioplay\fR currently supports a limited set of audio format conversions.
 If the audio file is not in a format supported by the audio device, it must
 first be converted. For example, to convert to voice format on the fly, use the
--- old/usr/src/man/man1/audiorecord.1	Sat Feb  8 10:54:35 2020
+++ new/usr/src/man/man1/audiorecord.1	Sat Feb  8 10:54:35 2020
@@ -1,21 +1,20 @@
 '\" te
 .\"  Copyright (c) 2009, Sun Microsystems, Inc. All Rights Reserved
+.\" Copyright 2020 Peter Tribble.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License"). You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE. If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH AUDIORECORD 1 "May 13, 2017"
+.TH AUDIORECORD 1 "Feb 8, 2020"
 .SH NAME
 audiorecord \- record an audio file
 .SH SYNOPSIS
-.LP
 .nf
-\fBaudiorecord\fR [\fB-af\fR] [\fB-v\fR \fIvol\fR] [\fB-c\fR \fIchannels\fR] [\fI-s\fR \fIrate\fR]
+\fBaudiorecord\fR [\fB-af\fR] [\fB-v\fR \fIvol\fR] [\fB-c\fR \fIchannels\fR] [\fB-s\fR \fIrate\fR]
      [\fB-e\fR \fIencoding\fR] [\fB-t\fR \fItime\fR] [\fB-i\fR \fIinfo\fR] [\fB-d\fR \fIdev\fR]
-     [\fB-T\fR \fBau\fR | \fBaif\fR[\fBf\fR] | \fBwav\fR] [\fIfile\fR[.\fBau\fR|.\fBaif\fR[\fBf\fR]]|.\fBwav\fR]
+     [\fB-T\fR \fBau\fR|\fBaif\fR[\fBf\fR]|\fBwav\fR] [\fIfile\fR[.\fBau\fR|.\fBaif\fR[\fBf\fR]|.\fBwav\fR]]
 .fi
 
 .SH DESCRIPTION
-.LP
 The \fBaudiorecord\fR utility copies audio data from the audio device to a
 named audio file, or to the standard output if no filename is present. If no
 output file is specified and standard output is a tty, the program exits with
@@ -22,7 +21,7 @@
 an error message.
 .sp
 .LP
-By default, monaural audio data is recorded at 8 kHz and encoded in \fB-law\fR
+By default, monaural audio data is recorded at 8 kHz and encoded in \fBu-law\fR
 format. If the audio device supports additional configurations, the \fB-c\fR,
 \fB-s\fR, and \fB-e\fR options may be used to specify the data format. The
 output file is prefixed by an audio file header that identifies the format of
@@ -37,12 +36,11 @@
 If the audio device is unavailable, that is, if another process currently has
 read access, \fBaudiorecord\fR prints an error message and exits immediately.
 .SH OPTIONS
-.LP
 The following options are supported:
 .sp
 .ne 2
 .na
-\fB\fB-\e?\fR\fR
+\fB\fB-?\fR\fR
 .ad
 .RS 24n
 \fIHelp\fR: Prints a command line usage message.
@@ -165,7 +163,7 @@
 .SH OPERANDS
 .ne 2
 .na
-\fB\fIfile\fR[\fB\&.au\fR|\fB\&.aif\fR[\fBf\fR]]|\fB\&.wav\fR\fR
+\fIfile\fR[\fB\&.au\fR|\fB\&.aif\fR[\fBf\fR]|\fB\&.wav\fR]
 .ad
 .sp .6
 .RS 4n
@@ -181,9 +179,8 @@
 .RE
 
 .SH USAGE
-.LP
 See \fBlargefile\fR(5) for the description of the behavior of \fBaudiorecord\fR
-when encountering files greater than or equal to 2 Gbyte ( 2^31 bytes).
+when encountering files greater than or equal to 2 Gbyte (2^31 bytes).
 .SH ENVIRONMENT VARIABLES
 .ne 2
 .na
@@ -195,24 +192,6 @@
 used.
 .RE
 
-.SH ATTRIBUTES
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Architecture	SPARC, x86
-_
-Interface Stability	Committed
-.TE
-
 .SH SEE ALSO
-.LP
 \fBaudioconvert\fR(1), \fBaudioplay\fR(1),
-\fBattributes\fR(5), \fBlargefile\fR(5), \fBaudio\fR(7I)
+\fBlargefile\fR(5), \fBaudio\fR(7I)
--- old/usr/src/man/man1/audiotest.1	Sat Feb  8 10:54:35 2020
+++ new/usr/src/man/man1/audiotest.1	Sat Feb  8 10:54:35 2020
@@ -1,30 +1,28 @@
 '\" te
 .\"  Copyright (c) 2009, Sun Microsystems, Inc. All Rights Reserved
+.\" Copyright 2020 Peter Tribble.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License"). You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE. If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH AUDIOTEST 1 "May 13, 2017"
+.TH AUDIOTEST 1 "Feb 8, 2020"
 .SH NAME
 audiotest \- test audio device
 .SH SYNOPSIS
-.LP
 .nf
-\fBaudiotest\fR [\fB-24571\fR] [\fIdev\fR] ...
+\fBaudiotest\fR [\fB-2457\fR] [\fB-l\fR] [\fB-r\fR \fIrate\fR] [\fIdev\fR] ...
 .fi
 
 .SH DESCRIPTION
-.LP
 The \fBaudiotest\fR utility runs a test for the named audio device (or all
 audio devices found on the system if none is given). The test includes playing
 an audio sample over each channel and measuring the rate of playback for clock
 drift.
 .SH OPTIONS
-.LP
 The following options are supported:
 .sp
 .ne 2
 .na
-\fB\fB-1\fR\fR
+\fB-l\fR
 .ad
 .RS 6n
 Loop mode. The test is run in an infinite loop.
@@ -33,9 +31,18 @@
 .sp
 .ne 2
 .na
-\fB\fB-2\fR\fR
+\fB-r\fR \fIrate\fR
 .ad
 .RS 6n
+Sample rate. By default 48000Hz is used.
+.RE
+
+.sp
+.ne 2
+.na
+\fB-2\fR
+.ad
+.RS 6n
 Stereo (2-channel) mode. This is the default mode. Playback assumes 2 channels
 are present.
 .RE
@@ -43,7 +50,7 @@
 .sp
 .ne 2
 .na
-\fB\fB-4\fR\fR
+\fB-4\fR
 .ad
 .RS 6n
 Quadraphonic mode (4-channel surround). The test assumes that four surround
@@ -53,7 +60,7 @@
 .sp
 .ne 2
 .na
-\fB\fB-5\fR\fR
+\fB-5\fR
 .ad
 .RS 6n
 Surround sound mode (5.1). The test checks the left, right, surround left,
@@ -64,7 +71,7 @@
 .sp
 .ne 2
 .na
-\fB\fB-7\fR\fR
+\fB-7\fR
 .ad
 .RS 6n
 Surround sound mode (7.1). The test checks the left, right, surround left,
@@ -72,38 +79,23 @@
 The low frequency effects channel is not tested.
 .RE
 
+.sp
+.LP
+If multiple modes are specified, the last one specified is used.
+
 .SH OPERANDS
 .ne 2
 .na
-\fB\fIdev\fR\fR
+\fIdev\fR
 .ad
 .RS 7n
-The path the device to test, for example, \fB/dev/dsp0\fR.
+The path to the device to test, for example, \fB/dev/dsp0\fR.
 .RE
 
-.SH ATTRIBUTES
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Architecture	SPARC, x86
-_
-Interface Stability	Committed
-.TE
-
 .SH SEE ALSO
-.LP
 \fBaudioconvert\fR(1), \fBaudiorecord\fR(1),
-\fBattributes\fR(5), \fBaudio\fR(7I)
+\fBaudio\fR(7I)
 .SH BUGS
-.LP
 \fBaudiotest\fR has no way to detect the number of actual audio channels
 supported by the physical device.
 .sp
